package demo.jaxrs.precash;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Cart")
public class Cart {
	private List<Item> items;

	public List<Item> getItems() {
		return items;
	}

	public void setItems(List<Item> items) {
		this.items = items;
	}
	
	public void addItem(Item item) {
		this.items.add(item);
	}

	public Cart(List<Item> items) {
		super();
		this.items = items;
	}
	
	public Cart() {
		super();
		this.items = new ArrayList<Item>();
	}
	
	public Long totalPrice(){
		long total = 0;
		for (Item item : items) {
			total += item.totalPrice().longValue();
		}
		
		return new Long(total);
	}

}
