package demo.jaxrs.precash;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Item")
public class Item {
	private Product productRef;
	private Integer quantity;

	public Product getProductRef() {
		return productRef;
	}

	public void setProductRef(Product productRef) {
		this.productRef = productRef;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	public Item(Product productRef) {
		super();
		this.productRef = productRef;
		this.quantity = 1; 
	}
	
	public Item(Product productRef, Integer quantity) {
		super();
		this.productRef = productRef;
		this.quantity = quantity; 
	}

	public Item() {
		super();
		this.productRef = null;
		this.quantity = 1; 
	}
	
	public Long totalPrice(){
		final long total = (
				productRef.getPrice().longValue()
				*
				quantity.longValue()
		);
				
		return new Long(total);
	}

}
