/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package demo.jaxrs.server;

import java.util.HashMap;
import java.util.Map;
import java.util.ArrayList;

import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;

import demo.jaxrs.precash.Cart;
import demo.jaxrs.precash.Item;
import demo.jaxrs.precash.Product;

import demo.jaxrs.SaleService;

public class SaleServiceImpl implements SaleService {
   
    Map<Long, Product> products = new HashMap<Long, Product>();
    ArrayList<Cart> carts = new ArrayList<Cart>();

    public SaleServiceImpl() {
        init();
    }
    
    final private void addP(int code) {
    	  Long barcode = new Long(code);
	  Long price = new Long(code);
	  Product o = new Product("P"+code, barcode, price);
	  products.put(barcode, o);
    }
    
    final private void init() {
	for (int i = 1; i < 10; i++) {
	  addP(i);
	}
	
	//registers.put(SaleService.REGISTER_CODE, new Register());
    }

    @Override
    public Product getProduct(@PathParam("barcode") String barcode) {
        System.out.println("----invoking getProduct, Product barcode is: " + barcode);
        final long idNumber = Long.parseLong(barcode);
        Product c = products.get(idNumber);
        return c;
    }

    @Override //Removi Response
    public String addCart(Cart cart) {
        System.out.println("----invoking addCart, Cart item count is: " + cart.getItems().size());
        
        try
        {
	  //final long registerIDLong = Long.parseLong(registerID);
	  //Register register = registers.get(registerIDLong);
	  
	  carts.add(cart);

	  //return Response.ok(register).build();
	  return new String("OK");
	}
	catch (NumberFormatException nfe)
	{
	  //return Response.status(Response.Status.NOT_ACCEPTABLE).build();
	  return new String("Failure");
	}
	catch (NullPointerException npe)
	{
	  //return Response.status(Response.Status.NOT_FOUND).build();
	  return new String("Failure");
	}
	
    }
}
